
// specification for the Time class with input and output operators


#ifndef TIMEIO_H
#define TIMEIO_H

#include <iostream>
using namespace std;

class Time
{
public:
   Time();
   Time(int newHours, int newMinutes, int newSeconds);

   void Set(int newHours, int newMinutes, int newSeconds);
   void Add(Time& otherTime);
   void Increment();

   friend istream& operator>>(istream& inS, Time& t);
   friend ostream& operator<<(ostream& outS, const Time& t);

private:
   int hours;
   int minutes;
   int seconds;
};

#endif
