#include <fstream>
using namespace std;

#include "basicshop.h"
#include "misc.h"

void openFile(ifstream& in, ofstream& out)
{
	cout << "Please enter the name of the input file: ";
	string infilename;
	cin >> infilename; //cin.ignore(80,'\n');
	in.open(infilename.c_str());
	if(!in)
	{
		cerr << "File " << infilename << " doesn't exist" << endl;
		exit(-1);
	}
	cout << "Please enter the name of the output file: ";
	string outfilename;
	cin >> outfilename; //cin.ignore(80,'\n');
	out.open(outfilename.c_str());
}

int main()
{
	BasicShop shop;
	ifstream infile;
	ofstream outfile;
	openFile(infile,outfile);

	infile >> shop;
	shop.average();
	outfile << shop;
	infile.close();

	pause();
}
