#include <fstream>
using namespace std;

#include "bettershop.h"

void openFile(ifstream& in, ofstream& out)
{
	cout << "Please enter the name of the input file: ";
	string infilename;
	cin >> infilename;
	in.open(infilename.c_str());
	if(!in)
	{
		cerr << "File " << infilename << " doesn't exist" << endl;
		exit(-1);
	}
	cout << "Please enter the name of the output file: ";
	string outfilename;
	cin >> outfilename;
	out.open(outfilename.c_str());
}

int main()
{
	BetterShop shop;
	

	ifstream infile;
	ofstream outfile;
	openFile(infile,outfile);

	infile >> shop;
	shop.average();
	shop.summarize();
	cout << "Doing output of BetterShop" << endl;
	outfile << shop;
	infile.close();
	outfile.close();

	return 0;
}
