// list4.cpp
// Sort a list.

#include <iostream>
#include <list>
#include <cstdlib>
using namespace std;

void main(void)
{
    list<int> lst;
    int i;
    
    // Create a list of random integers
    for(i=0; i<10; i++)
        lst.push_back(rand());
    
    cout << "Original contents:\n";
    list<int>::iterator p = lst.begin();
    while(p != lst.end())
    {
        cout << *p << " ";
        p++;
    }
    cout << "\n\n";
    
    // Sort the list
    lst.sort();
    
    cout << "Sorted contents:\n";
    p = lst.begin();
    while(p != lst.end())
    {
        cout << *p << " ";
        p++;
    }
    
    cout << endl << endl;
}

