//stack1.cpp
//Illustrates a simple stack of characters.
//A stack is a "LIFO" (Last In, First Out) structure.

#pragma warning(disable:4267)

#include <iostream>
#include <stack>
//#include "utilities.h"

using namespace std;
//using Scobey::Pause;

int main()
{
    cout << "\nThis program illustrates a simple stack of characters.\n";
//    Pause();

    stack<char> s;
    
    s.push('A');
    s.push('B');
    s.push('C');
    s.push('D');

    cout << "The stack contains " << s.size() << " elements.\n";

    cout << "Here they are, in \"LIFO\" order:\n";
    //This is the proper way to access the elements of a stack:
    while(!s.empty())
    {
        cout << "Popping: ";
        cout << s.top() << "\n";
        s.pop();
    }
//    Pause();
	return 0;
}
