#include <iostream>
#include <iomanip>
using namespace std;

struct Employee       // declare a global type
{
  int id_num;
  double pay_rate;
  double hours;
};

double calc_net(Employee);   // function prototype

int main()
{
  Employee emp = {6782, 8.93, 40.5};
  double net_pay;

  net_pay = calc_net(emp);       // pass copies of the values in emp

    // set output formats
  cout << setw(10)
       << setiosflags(ios::fixed)
       << setiosflags(ios::showpoint)
       << setprecision(2);

  cout << "The net pay for employee " << emp.id_num
       << " is $" << net_pay << endl;;

  return 0;
}

double calc_net(Employee temp) // temp is of data type Employee
{
  return (temp.pay_rate * temp.hours);
}
