//shell.cpp
//Acts as a general-purpose "shell" program.

#include <iostream>
using namespace std;

int main()
{
    int menuChoice;
    do
    {//Body of do...while-statement must be enclosed in braces
        cout << "\n\n\t\t" << "Main Menu"
                "\n\n\t\t" << "1. Quit"
                "\n\t\t"   << "2. Get information"
                "\n\t\t"   << "3. Perform some action"
                "\n\t\t"   << "4. Perform some other action\n\n";

        cout << "Enter the number of your menu choice here "
            "and then press the Enter key: ";
        cin >> menuChoice;  cin.ignore(80, '\n');
        cout << endl << endl;

        //A break-statement within a switch-statement causes a "jump"
        //to the first statement following the switch-statement.
        switch (menuChoice)
        {//Body of switch-statement must be enclosed in braces
            case 1: //Do this if menuChoice is 1.
                cout << "You have chosen to quit. "
                    "Program is now terminating.\n";
                break;

            case 2: //Do this if menuChoice is 2.
                cout << "This program can be used as a starting point "
                    "for many C++ programs.\nA general description of "
                    "whatever your program does should go here.\n";
                break;

            case 3: //Do this if menuChoice is 3.
                cout << "Now performing some action in response "
                    "to user choosing menu option 3 ...\n";
                break;

            case 4: //Do this if menuChoice is 4.
                cout << "Now performing some action in response "
                    "to user choosing menu option 4 ...\n";
                break;
        }
        cout << "Press Enter to continue ... ";  cin.ignore(80, '\n');

    } while (menuChoice != 1); //While user does not choose quit option
    cout << endl << endl;
}
