#include <iostream>
#include <list>
#include <string>
using namespace std;

#include "pause.h"
using namespace Scobey;

void DisplayIDInfo()
{
	string blankLinesBefore(15, '\n');
	string blankLinesAfter(11, '\n');
	cout << blankLinesBefore;
	cout << "Xu Jing: 1234567 : LabB\n";
	cout << "This is a one-line description of what this program does.\n";
	cout << blankLinesAfter;
}

void main (void)
{
	DisplayIDInfo();
	Pause(0);

	list<char> digit;            // define a list of int
	char input;                // value read from cin
	int count = 0;              // counter for number of 1's

	cout << "Enter the digits of the long integer, ending with ENTER..." << endl;

	while (cin.get(input)) {
	if (input == '\n') break;
	digit.push_back (input); // list member function push_back
	}

	// output loop
	cout << "\nOriginal digit sequence:" << endl;

	// define an iterator to the first list element
	list<char>::iterator first = digit.begin();

	// define an iterator past(!) the last list element
	list<char>::iterator last  = digit.end();

	while (first != last)
	  cout << *first++;       // dereference iterator to get value
									  // then increment iterator
	cout << endl;

	// create a new list for bit_stuffing
	list<char> digit_seq(digit);

	// define loop iterators
	first = digit_seq.begin();
	last  = digit_seq.end();


	while(last != first){
		count++;
		if(count == 4)
		{
			digit_seq.insert(last,',');
			count = 0;
		}

		last--;
	}

	// output loop
	cout << "\nDigit-stuffed digit sequence:" << endl;

	first = digit_seq.begin();
	last  = digit_seq.end();

	while (first != last)
	  cout << *first++;       // dereference iterator to get value
									  // then increment iterator
	cout << endl;

	Pause(0);
}
