#include <iostream>
using namespace std;

struct Date
{
	int month;
	int day;
	int year;
};

void getDate(Date& date);
void outputDate(Date date);
int dif_days(Date d1, Date d2);

int main()
{
	Date date1, date2;
	int difference;

	cout << "Please enter the data for the first date" << endl;
	getDate(date1);
	cout << "Please enter the data for the second date" << endl;
	getDate(date2);
	difference = dif_days(date1, date2);

	cout << "The difference between date1: ";
	outputDate(date1);
	cout << " and date2: "; 
	outputDate(date2);
	cout << " is " << difference << " days." << endl;

	return 0;
}

void getDate(Date& date)
{
	cout << "Please enter the month: ";
	cin >> date.month;

	cout << "Please enter the day: ";
	cin >> date.day;

	cout << "Please enter the year: ";
	cin >> date.year;
}

void outputDate(Date date)
{
	cout << date.month << "/" << date.day << "/" << date.year;
}

int dif_days(Date d1, Date d2)
{
	return ((d1.year*360+d1.month*30+d1.day)-(d2.year*360+d2.month*30+d2.day));
}