// Filename: ass5_2.cpp
// Purpose:  Driver for a demonstration program to illustrate
//           operations on a sequence of linked nodes.

#include <iostream>
using namespace std;

#include "LLISTFUN.H"
#include "PAUSE.H"


int main()
{
	/*Your personal information goes here*/


    NodePointer head;
    int menuChoice;

    DescribeProgram();
    Pause(0);

    InitializeSequence(head);

    do
    {
        DisplayMenu();
        GetMenuChoice(menuChoice);
        switch (menuChoice)
        {
            case  1: /* Quit */                               break;
            case  2: InitializeSequence(head);                break;
            case  3: PrintNodeValues(head);
                     Pause(0);                                break;
            case  4: BuildSequenceFixedSize(head);            break;
            case  5: FindDataValues(head);                    break;
            case  6: FindPositions(head);                     break;
            case  7: InsertAfterNodeWithDataValue(head);      break;
            case  8: InsertAfterNodeK(head);                  break;
            case  9: InsertBeforeNodeWithDataValue(head);     break;
            case 10: InsertBeforeNodeK(head);                 break;
            case 11: DeleteNodeWithDataValue(head);           break;
            case 12: DeleteNodeK(head);                       break;
        }

    } while (menuChoice != 1);

    return 0;
}
