#include "basicshop.h"

BasicShop::BasicShop(string iName)
{
	name = iName;
	size = 0;
	avg.name = "Average";
}

void BasicShop::average()
{
	avg.sales = 0;
	avg.commission = 0;
	for(int i = 0; i < size; i++)
	{
		avg.sales += people[i].sales;
		avg.commission += people[i].commission;
	}
	if(size > 0)
	{
		avg.sales /= size;
		avg.commission /= size;
	}
}

istream& operator>>(istream& in, BasicShop& s)
{
	in >> s.people[s.size];
	while(!in.eof()&& s.size < MAX_SHOP_SIZE)
	{
		s.size++;
		in >> s.people[s.size];
	}
	return in;
}


ostream& operator<<(ostream& out, const BasicShop& s)
{
	out << "\t\t\t" << s.name << endl << endl;
	SalesPerson::printHeader(out);
	for(int i = 0; i < s.size; i++)
	{
		out << s.people[i] << endl;
	}
	out << "-------------------------"
		<< "--------------" << endl;
	out << s.avg;

	return out;
}


/*void BasicShop::output(ostream& out)
{
	out << *this;
}*/
