// a program that includes a swapping function to swap two integers and 
// two doubles
// written by Jean-Paul Deveaux

#include <iostream>
using namespace std;

void intswap(int& num1, int& num2)	// reference parameters
{
  int temp;

  temp = num1;
  num1 = num2;
  num2 = temp;
}


void doubleswap(double& num1, double& num2)
{
  double temp;

  temp = num1;
  num1 = num2;
  num2 = temp;
}


int main()
{
  int x, y;

  cout << "Enter the value of x: ";
  cin >> x;  cin.ignore(80,'\n');

  cout << "Enter the value of y: ";
  cin >> y;  cin.ignore(80,'\n');

  cout << "Swapping values...\n";
  intswap(x,y);

  cout << "The value of x is now " << x
	<< ", and the value of y is now " << y << endl;


  double x1, y1;

  cout << "Enter the double value of x1: ";
  cin >> x1;  cin.ignore(80,'\n');

  cout << "Enter the double value of y1: ";
  cin >> y1;  cin.ignore(80,'\n');

  cout << "Swapping values...\n";
  doubleswap(x1,y1);

  cout << "The value of x1 is now " << x1
	<< ", and the value of y1 is now " << y1 << endl;

  return 0;
}
