// demonstrates the creation of a dynamic array using a pointer to a double.
// written by Jean-Paul Deveaux on March 4th, 2004

#include <iostream>
using namespace std;

int main()
{
	int numStudents;
	double *grades;

	do
	{
		cout << "How many students?  :";
		cin >> numStudents;  cin.ignore(80,'\n');
	} while (numStudents <= 0);

	cout << endl;

	grades = new double[numStudents];		// create a dynamic array

	for (int i=0; i<numStudents; i++)
	{
		cout << "Enter mark for student " << i+1 << ":";
		cin >> grades[i];  cin.ignore(80,'\n');
	}

	double average = 0, sum = 0;

	for (i=0;i<numStudents; i++)			// set the mark for each student
	{
		cout << "Mark for student " << i+1 << ": " << grades[i] << endl;
		sum += grades[i];
	}

	average = sum / numStudents;			// compute the average

	cout << "Average mark is " << average << endl;

	delete [] grades;
  return 0;
}