// This program demostrate how to pass streams to a function
// Written by Jing Xu

#include <iostream>
#include <fstream>
using namespace std;

void read_write_file(ifstream& inFile, ofstream& outFile);

int main()
{
	ifstream fin;
	ofstream fout;

	fin.open("readData.txt");
	if(fin.fail())
	{
		cerr << "Input file opening failed.\n";
		exit(1);
	}

	fout.open("writeData.txt");
	if(fin.fail())
	{
		cerr << "Input file opening failed.\n";
		exit(1);
	}

	read_write_file(fin,fout);

	fin.close();
	fout.close();

	cout << "End of program.\n";
	return 0;
}

void read_write_file(ifstream& inFile, ofstream& outFile)
{
	int data;

	inFile >> data;
	while(inFile)
	{
		outFile << data << endl;
		inFile >> data;
	}
}

