// print out a multiplication table (stored in a two-dimensional array)
// using an implicitly nested for-loop.  A better version of this program
// can eb found in multtable3.cpp

#include <iostream>
using namespace std;

const int TABLESIZE = 3;

void PrintLine(int line[][TABLESIZE], int lineNumber)
// since we're passing the whole two-dimensional array to this function,
// we need to know which line we are printing at any given time.

{
  for(int j=0;j<TABLESIZE;j++)		// use TABLESIZE constant here again
    cout << line[lineNumber][j] << '\t';

  cout << endl;
}

int main()
{
  int multTable[TABLESIZE][TABLESIZE];

  int i,j;

  for (i=0;i<TABLESIZE;i++)
    for (j=0;j<TABLESIZE;j++)
      multTable[i][j] = (i+1) * (j+1);

  for (i=0;i<TABLESIZE;i++)
    PrintLine(multTable, i);	// prints a line; this function's parameter
				// is the 2-dim array from which you 
				// want to print a line, and the line 
				// number that you want to print.
  return 0;
}
