// Filename: PAUSE.CPP
// Purpose:  Causes a function to pause and wait for a user response.

#ifndef _PAUSE_CPP_
#define _PAUSE_CPP_

#include <iostream>
#include <iomanip>
using namespace std;

//******************************************************************
void Pause(/* in */ int indentLevel)
// Pre:  indentLevel has been initialized.
//       The input stream cin is empty.
// Post: The program has paused and displayed a one-line message
//       indented indentLevel spaces, after which the user has
//       pressed the RETURN or ENTER key.
{
    cout << setw(indentLevel) << ""
         << "Press return to continue ... ";
    char returnChar;
    cin.get(returnChar);
    cout << endl;
}

#endif