// sort a bunch of numbers.  this particular version prompts the user
// for numbers to sort.  as an exercise, modify this program to read in
// numbers from a text file and sort those, then output them to another
// text file.

#include <iostream>
using namespace std;

#include "misc.h";

void swap (int& a, int& b)
{
  int temp;
  temp = a;
  a = b;
  b = temp;
}


void SelectionSort(int array[], int size)
{
  int posOfSmallest;

  for (int start=0; start < size - 1; start++)
  {
     posOfSmallest = start;

     for (int i=start+1; i < size; i++)		
     {
		if (array[i] < array[posOfSmallest])
			posOfSmallest = i;
     }

     swap(array[start], array[posOfSmallest]);

	 cout << "After the " << start+1 << " run, the array is in the following order" << endl;
	 for (int j=0; j<size; j++)
		 cout << array[j] << "  ";
	 cout << endl;
	 pause();
  }     
}


int main()
{
  int numbers[100];
  int size = 0;

  cout << "Enter up to 100 integers, enter 0 to stop: \n";

  do
  {
    cin >> numbers[size];
    size++;
  } while (size < 100 && numbers[size-1] != 0);	
  cin.ignore(80,'\n');

  SelectionSort(numbers, size);

  cout << "The sorted numbers are as follows:\n";

  for (int i=0;i<size;i++)
    cout << numbers[i] << endl;

}
