#include <iostream>		// include these BEFORE your own headers
using namespace std;

#include "time.h"		// include this AFTER namespace std headers

void Time::Set(int newHours, int newMinutes, int newSeconds)
// pre: assume hours, minutes, seconds are valid.

{
  hours = newHours % 24;
  minutes = newMinutes % 60;
  seconds = newSeconds % 60;
}


void Time::DisplayTime()
{
  cout << hours << ":";
  if (minutes < 10)
    cout << '0';
  
  cout << minutes << ":" ;

  if (seconds < 10)
    cout << '0';

  cout << seconds << endl;
}


void Time::Increment()
{
  seconds++;

  if (seconds == 60)
  {
    seconds = 0;
    minutes++;
  }

  if (minutes==60)
  {
    minutes=0;
    hours++;
  }

  if (hours==24)
  {
    hours=0;
  }
}


void Time::Increment2()
{
  Increment();
  Increment();
}
