
// specification for the Time class with input and output operators


#ifndef TIME_H
#define TIME_H

#include <iostream>
using namespace std;

class Time
{
public:
   void Increment();
   void Add(Time& otherTime);
   int Hours();
   int Minutes();
   int Seconds();

   friend istream& operator>>(istream& inS, Time& t);
   friend ostream& operator<<(ostream& outS, Time& t);

private:
   int hours;
   int minutes;
   int seconds;
};

#endif
