
// specification for the Time class with input and output operators
// this version includes a "friend" version of the isEqual function

#ifndef TIMEOPERATOR_H
#define TIMEOPERATOR_H

#include <iostream>
using namespace std;

class Time
{
public:
   void Increment();
   void Add(Time& otherTime);
   int Hours();
   int Minutes();
   int Seconds();

   friend istream& operator>>(istream& inS, Time& t);
   friend ostream& operator<<(ostream& outS, Time& t);
//   friend bool operator==(const Time& t1,const Time& t2);
   bool operator==(const Time& t2) const;
//   friend Time operator+(const Time& t1, const Time& t2);
   Time operator+(const Time& t2);

private:
   int hours;
   int minutes;
   int seconds;
};

#endif
