// Filename: PAUSE.H
// Purpose:  Header file corresponding to PAUSE.OBJ.

#ifndef PAUSE_H
#define PAUSE_H

//******************************************************************
void Pause(/* in */ int indentLevel);
// Pre:  indentLevel has been initialized.
//       The input stream cin is empty.
// Post: The program has paused and displayed a one-line message
//       indented indentLevel spaces, after which the user has
//       pressed the ENTER key.

#endif