#include "basicshop.h"

BasicShop::BasicShop(string newName)
{
	name = newName;
	size = 0;
	avg.name = "Average";
}

void BasicShop::average()
{
	avg.sales = 0;
	avg.commission = 0;
	for(int i = 0; i < size; i++)
	{
		avg.sales += staff[i].sales;
		avg.commission += staff[i].commission;
	}
	if(size > 0)
	{
		avg.sales /= size;
		avg.commission /= size;
	}
}

istream& operator>>(istream& inS, BasicShop& bs)
{
	inS >> bs.staff[bs.size];
	while(!inS.eof()&& bs.size < MAXSHOPSIZE)
	{
		bs.size++;
		inS >> bs.staff[bs.size];
	}
	return inS;
}

ostream& operator<<(ostream& outS, const BasicShop& bs)
{
	outS << "\t\t\t" << bs.name << endl << endl;
	SalesPerson::printHeader(outS);
	for(int i = 0; i < bs.size; i++)
	{
		outS << bs.staff[i] << endl;
	}
	outS << "-------------------------"
		<< "--------------" << endl;
	outS << bs.avg;

	return outS;
}
