#include <iostream.h>

// class declaration

class Employee
{
  private:
    static float tax_rate;
    int id_num;
  public:
    Employee(int = 0);    // constructor
    void display();   // access function
};

// static member definition
float Employee::tax_rate = 0.0025;

// implementation section

Employee::Employee(int num)
{
  id_num = num;
}

void Employee::display()
{
  cout << "Employee number " << id_num
       << " has a tax rate of " << tax_rate << endl;

  return;
}

int main()
{
  Employee emp1(11122), emp2(11133);

  emp1.display();
  emp2.display();

  return 0;
}              		