
// specification for the Time class with input and output operators
// this version includes a "friend" version of the isEqual function

#ifndef TIMEOO_H
#define TIMEOO_H

#include <iostream>
using namespace std;

class Time
{
public:
   void Increment();
   void Add(Time& otherTime);
   int Hours();
   int Minutes();
   int Seconds();

   friend istream& operator>>(istream& inS, Time& t);
   friend ostream& operator<<(ostream& outS, Time& t);
//   friend bool isEqual(Time& t1, Time& t2);
   bool isEqual(Time& t2);
//   friend bool operator==(Time& t1, Time& t2);

private:
   int hours;
   int minutes;
   int seconds;
};

#endif
