#include <fstream>
using namespace std;

#include "sortableshop.h"

void openFile(ifstream& in, ofstream& out)
{
	cout << "Please enter the name of the input file: ";
	string infilename;
	cin >> infilename;
	in.open(infilename.c_str());
	if(!in)
	{
		cerr << "File " << infilename << " doesn't exist" << endl;
		exit(-1);
	}
	cout << "Please enter the name of the output file: ";
	string outfilename;
	cin >> outfilename;
	out.open(outfilename.c_str());
}

int main()
{
	Sortableshop sortshop;
	

	ifstream infile;
	ofstream outfile;
	openFile(infile,outfile);

	infile >> sortshop;
	sortshop.average();
	sortshop.summarize();
	sortshop.sort();
	cout << "Doing output of SortableShop" << endl;
	outfile << sortshop;
	infile.close();
	outfile.close();

	return 0;
}
