// queue2.cpp
// Cycling through a queue.

#pragma warning(disable:4786)

#include <iostream>
#include <queue>
#include <string>
using namespace std;

int main()
{
    queue<string> q;
    
    q.push("one");
    q.push("two");
    q.push("three");
    q.push("four");
    
    cout << "Contents of queue: ";
    for (int i=0; i<q.size(); i++)
    {
        cout << q.front() << " ";
        
        // Remove front and push onto back
        q.push(q.front()); 
        q.pop();
    }
    cout << "\n\n";
    
    cout << "Now, remove elements:\n";
    while (!q.empty())
    {
        cout << "Popping ";
        cout << q.front() << "\n";
        q.pop();
    }
    
    return 0;
}
