// print out a multiplication table (stored in a two-dimensional array)
// using an implicitly nested for-loop

// note that the function takes as a parameter a one-dimensional array
// multTable is a 2-dimensional array, which means that it is an array
// of one-dimensional arrays.  So, one of multTable's arrays is passed 
// to the function each time.

#include <iostream>
using namespace std;

const int TABLESIZE = 3;

void PrintLine(int line[])
{
  for(int i=0;i<TABLESIZE;i++)		// use TABLESIZE constant here again
    cout << line[i] << '\t';

  cout << endl;
}

int main()
{
  int multTable[TABLESIZE][TABLESIZE];

  int i,j;

  for (i=0;i<TABLESIZE;i++)
    for (j=0;j<TABLESIZE;j++)
      multTable[i][j] = (i+1) * (j+1);

  for (i=0;i<TABLESIZE;i++)
    PrintLine(multTable[i]);	// this function prints a line; 
				// its parameter is an array containing 
				// the line you want to print.

  return 0;
}
