// implementatino of the Time class

#include "timeF.h"

void Set(Time& t, int newHours, int newMinutes, int newSeconds)
// pre: assume hours, minutes, seconds are valid.

{
  t.hours = newHours % 24;
  t.minutes = newMinutes % 60;
  t.seconds = newSeconds % 60;
}


void DisplayTime(Time& t)
{
  cout << t.hours << ":";
  if (t.minutes < 10)
    cout << '0';
  
  cout << t.minutes << ":" ;

  if (t.seconds < 10)
    cout << '0';

  cout << t.seconds << endl;
}


void Increment(Time& t)
{
  t.seconds++;

  if (t.seconds == 60)
  {
    t.seconds = 0;
    t.minutes++;
  }

  if (t.minutes==60)
  {
    t.minutes=0;
    t.hours++;
  }

  if (t.hours==24)
  {
    t.hours=0;
  }
}



void Add(Time& firstTime, Time& otherTime)
{
  firstTime.hours += otherTime.hours;
  firstTime.minutes += otherTime.minutes;
  firstTime.seconds += otherTime.seconds;
}

