//square_integers.cpp
//Displays a table of integer squares.
//Illustrates a count-controlled while-loop.

#include <iostream>
#include <iomanip>
using namespace std;

int main()
{
    cout << "\nThis program displays a table of integer squares from 1\n"
        "up to a maximum value chosen by the user.\n\n";

    int numberOfSquares;

    cout << "Enter the maximum value to be included in the table: ";
    cin >> numberOfSquares;  cin.ignore(80, '\n');

    cout << "\n\n   n     n * n" << endl;

    int n = 1;
    while (n <= numberOfSquares)
    {
        cout << setw(4) << n << setw(10) << n * n << endl;
        n++;
    }
    cout << endl;

	return 0;
}
