// BankAccount  class

#ifndef BANKACCOUNT1_H
#define BANKACCOUNT1_H

class BankAccount
{
public:
	BankAccount();			// constructors
	BankAccount(double amt);

	bool Deposit(double amt);
	bool Withdraw(double amt);
	double CheckBalance();
	void OutputBalance();
	bool Transfer(BankAccount& b, double amt);

    friend istream& operator>>(istream& inS, BankAccount& b);
    friend ostream& operator<<(ostream& outS, const BankAccount& b);

  	static void PrintHeader(ostream&);

private:
	double balance;
};

#endif;




