#include <iostream>
#include <cmath>
#include "hourlyemployee.h"
using namespace std;

HourlyEmployee::HourlyEmployee(string n, string s, double w, double h):Employee(n,s)
{
	wage_rate=w;
	hours=h;
}

istream& operator>>(istream& in, HourlyEmployee& h)
{
	in >> h.name >> h.SIN >> h.wage_rate >> h.hours;

	return in;
}

bool operator==(const HourlyEmployee& h1, const HourlyEmployee& h2)
{
	return (h1.wage_rate*h1.hours == h2.wage_rate*h2.hours);
}

ostream& operator<<(ostream& out, const HourlyEmployee& h)
{
	out << "Employee's name is: " << h.name << endl
		<< "Employee's SIN is: " << h.SIN << endl
		<< "Employee's wage_rate is: " << h.wage_rate << endl
		<< "Employee's hours is: " << h.hours << endl;

	return out;
}

double HourlyEmployee::calDiffNetPay(const HourlyEmployee& h)
{
	return fabs(wage_rate*hours - h.wage_rate*h.hours);
}