#include <iostream>
#include <iomanip>
using namespace std;

struct Node
{
	double data;
	Node *link;
};
typedef Node* NodePtr;

void BuildSequenceFixedSize(NodePtr& head);
void PrintNodeValues(NodePtr& head);

void main(void)
{

	NodePtr head;

	BuildSequenceFixedSize(head);
	PrintNodeValues(head);
}

void BuildSequenceFixedSize(NodePtr& head)
// Pre:  none
// Post: The user has entered the number of nodes to be in a
//       newly constructed sequence, as well as the values to
//       be inserted into the sequence, the sequence has been
//       constructed, and "head" points at the first node.
//       All storage in any sequence previously pointed to by
//       "head" has been returned to the free store.
{

}

void PrintNodeValues(/* inout */ NodePtr& head)
// Pre:  "head" has been initialized.
// Post: If the sequence is empty, a message to that effect has
//       been output.  Otherwise, all values in the sequence
//       pointed to by "head" have been displayed, ten to a line,
//       with each one in a field width of six spaces.
{

}