// interface for the basicshop class
// written by Jean-Paul Deveaux

#ifndef BASICSHOP_H
#define BASICSHOP_H

#include <string> 
using namespace std;

#include "salesperson.h"

const int MAXSHOPSIZE = 50;

class BasicShop
{
public:
   BasicShop(string newName = "My Shop");
   friend istream& operator>>(istream& inS, BasicShop& bs);
   friend ostream& operator<<(ostream& outS, const BasicShop& bs);
   
   void average();

private:
   string name;
   int size;
   SalesPerson staff[MAXSHOPSIZE];
   SalesPerson avg;
};

#endif
