#include "bettershop.h"

BetterShop::BetterShop(string iName) : BasicShop(iName)
{
    // We call BasicShop's constructor
}

void BetterShop::summarize()
{
	for(int i = 0; i < 6; i++)
		frq[i] = 0;
	for(int j = 0; j < size; j++)
	{
		switch(people[j].grade)
		{
			case 'A': frq[0]++; break;
			case 'B': frq[1]++; break;
			case 'C': frq[2]++; break;
			case 'D': frq[3]++; break;
			case 'I': frq[4]++; break;
			case 'N': frq[5]++; break;
		}
	}
}

ostream& operator<<(ostream& out,const BetterShop& s)
{
//	cout << "Called Overloaded I/O operator for BetterShop" << endl;
	out << BasicShop(s) << endl << endl;

	out << "A's are " << s.frq[0] << endl;
	out << "B's are " << s.frq[1] << endl;
	out << "C's are " << s.frq[2] << endl;
	out << "D's are " << s.frq[3] << endl;
	out << "I's are " << s.frq[4] << endl;
	out << "N's are " << s.frq[5] << endl;

	return out;
}
