// list2.cpp
// insertion

#include <iostream>
#include <list>
using namespace std;

int main()
{
    list<int> lst1;
    
    lst1.push_back(2);
    lst1.push_back(0);
    lst1.push_back(8);
    lst1.push_back(4);
    lst1.push_back(6);

	list<int> lst2(lst1);

    cout << "Original contents of lst1:\n";
    list<int>::iterator p = lst1.begin();
    while(p != lst1.end()) 
        cout << *p++ << " ";
    cout << "\n\n";
    
    cout << "Original contents of lst2:\n";

	// define loop iterators
	list<int>::iterator first = lst2.begin();
	list<int>::iterator last  = lst2.end();

	while (first != last)
	  cout << *first++ << " ";       // dereference iterator to get value
									  // then increment iterator

	p = --last;
	lst2.insert(--p,500);

	first = lst2.begin();
	last  = lst2.end();
	last--;

	cout << endl;
	while (last != first)
	  cout << *last-- << " ";       // dereference iterator to get value
									  // then decrease iterator
	cout << endl;
    
    return 0;
}
