#include <iostream>
#include <iomanip>
using namespace std;

const int MAXNAME = 20;   // maximum no. of characters in a name
const int MAXTEL = 15;    // maximum no. of characters in a telephone number

struct Tele_typ
{
  char name[MAXNAME];
  char phone_no[MAXTEL];
  Tele_typ *nextaddr;
};
typedef Tele_typ* TelePtr;

void display(TelePtr);       // function prototype

int main()
{
  Tele_typ t1 = {"Acme, Sam","(201) 898-2392"};
  Tele_typ t2 = {"Dolan, Edith","(213) 682-3104"};
  Tele_typ t3 = {"Lanfrank, John","(415) 718-4581"};
  TelePtr first;    // create a pointer to a structure

  first = &t1;        // store t1's address in first
  t1.nextaddr = &t2;  // store t2's address in t1.nextaddr
  t2.nextaddr = &t3;  // store t3's address in t2.nextaddr
  t3.nextaddr = NULL; // store the NULL address in t3.nextaddr

  display(first);     // send the address of the first structure

  return 0;
}

void display(TelePtr contents) // contents is a pointer to a structure
{                                // of type Tele_typ
  while (contents != NULL)   // display until end of linked list
  {
    cout << '\n' << setiosflags(ios::left)
	 << setw(30) << contents->name
	 << setw(20) << contents->phone_no ;
    contents = contents->nextaddr;     // get next address
  }
  cout << endl;

  return;
}
