// a test program that demonstrates what we know of pointers.
// this program also shows how pointers work when they are passed
// to a function: they are just like a variables being passed by 
// reference!

#include <iostream>
using namespace std;


// this function takes a pointer as a parameter.

void Test(int* a)
{
  *a = 100;
}


int main()
{

		int* iPtr;
		int myInt = 10;

		iPtr = &myInt;
		cout << iPtr << endl;
		cout << *iPtr << endl;

		myInt = 20;
		cout << iPtr << endl;
		cout << *iPtr << endl;

		*iPtr = 50;
		cout << myInt << endl;

// this part demonstrates passing a variables to a function that takes
// a pointer as a parameter.  You can either pass a pointer variable to 
// it, or (if the function accepts the pointer by value) you can also 
// pass it the address of a regular variable (as shown below);

		Test(&myInt);
		cout << myInt << endl;

}
