// implementation of the salesperson class

#include <iostream>
#include <string>
using namespace std;

#include "salesperson3.h"


void SalesPerson::PrintHeader(ostream& outS)
{
	outS << "=======================================\n";
	outS << "Name\tSales\tCommission\tGrade\n";
	outS << "=======================================\n";
}

istream& operator>>(istream& inS, SalesPerson& s)
{
	inS >> s.name;
	inS >> s.sales;

	s.commission = s.sales * .1;

	if(s.sales >= 500000) s.grade = 'A';
	else if(s.sales >= 250000) s.grade = 'B';
	else if(s.sales >= 100000) s.grade = 'C';
	else if(s.sales >= 50000) s.grade = 'D';
	else s.grade = 'I';

	return inS;
}


ostream& operator<<(ostream& outS, SalesPerson& s)
{
	outS << s.name << '\t' << s.sales << '\t'
		<< s.commission << '\t' << s.grade;

	return outS;
}


