//square_integers.cpp
//Displays a table of integer squares.
//Illustrates a count-controlled while-loop.

#include <iostream>
#include <iomanip>
using namespace std;

void Pause();

int main()
{
    cout << "\nThis program displays a table of integer squares from 1\n"
        "up to a maximum value chosen by the user.\n\n";

    int numberOfSquares;

    cout << "Enter the maximum value to be included in the table: ";
    cin >> numberOfSquares;  cin.ignore(80, '\n');

    cout << "\n\n   n     n * n" << endl;

    int n = numberOfSquares;
    while (n > 0)
    {
        cout << setw(4) << n << setw(10) << n * n << endl;
        n--;
    }
    cout << endl;

//	Pause();

	return 0;
}

void Pause()
{
	char ch;
	cout << "Please press Enter to continue." << endl;
	cin.get(ch);
}