// a program that includes a swapping function to swap two integers
// written by Jean-Paul Deveaux

#include <iostream>
using namespace std;

void swap(int& num1, int& num2)	// reference parameters
{
  int temp;
  temp = num1;
  num1 = num2;
  num2 = temp;
}

void swap(double& num1, double& num2)
{
  double temp;
  temp = num1;
  num1 = num2;
  num2 = temp;
}

void swap(char& ch1, char& ch2)
{
  char temp;
  temp = ch1;
  ch1 = ch2;
  ch2 = temp;
}

int main()
{
  int x, y;

  cout << "Enter the value of integer x: ";
  cin >> x;  cin.ignore(80,'\n');

  cout << "Enter the value of integer y: ";
  cin >> y;  cin.ignore(80,'\n');

  cout << "Swaping integer values...\n";
  swap(x,y);

  cout << "The value of x is now " << x
	<< ", and the value of y is now " << y << endl << endl;


  double a,b;

  cout << "Enter the value of real number a: ";
  cin >> a;  cin.ignore(80,'\n');

  cout << "Enter the value of real number b: ";
  cin >> b;  cin.ignore(80,'\n');

  cout << "Swaping the real number values...\n";
  swap(a,b);

  cout << "The value of real number a is now " << a
	<< ", and the value of real number b is now " << b << endl << endl;

  char c1, c2;

  cout << "Enter the value of character c1: ";
  cin >> c1;  cin.ignore(80,'\n');

  cout << "Enter the value of character c2: ";
  cin >> c2;  cin.ignore(80,'\n');

  cout << "Swaping the characters...\n";
  swap(c1, c2);

  cout << "The value of character c1 is now " << c1
	<< ", and the value of character c2 is now " << c2 << endl;

  return 0;
}
