// an example for template function
// written by Jing Xu

#include <iostream>
using namespace std;

template <class T>
void Swap( T & x, T & y )
{

  T temp;
  temp = x;
  x = y;
  y = temp;
}

int main()
{
  int x, y;
  double a,b;
  char c1, c2;

  cout << "Enter the value of integer x: ";
  cin >> x; 

  cout << "Enter the value of integer y: ";
  cin >> y; 

  cout << "Swaping integer values...\n";
  Swap(x,y);

  
  cout << "The value of x is now " << x
	<< ", and the value of y is now " << y << endl << endl;

  cout << "Enter the value of real number a: ";
  cin >> a;  cin.ignore(80,'\n');

  cout << "Enter the value of real number b: ";
  cin >> b;  cin.ignore(80,'\n');

  cout << "Swaping the real number values...\n";
  Swap(a,b);

  cout << "The value of real number a is now " << a
	<< ", and the value of real number b is now " << b << endl << endl;


  cout << "Enter the value of character c1: ";
  cin >> c1;  cin.ignore(80,'\n');

  cout << "Enter the value of character c2: ";
  cin >> c2;  cin.ignore(80,'\n');

  cout << "Swaping the characters...\n";
  Swap(c1, c2);

  cout << "The value of character c1 is now " << c1
	<< ", and the value of character c2 is now " << c2 << endl;

  return 0;
}
