#include <iostream>
using namespace std;

#include "time1.h"

Time::Time()
{
	hours = 12;
	minutes = seconds = 0;
}


Time::Time(int newHours, int newMinutes, int newSeconds)
{
  hours = newHours % 24;
  minutes = newMinutes % 60;
  seconds = newSeconds % 60;
}

void Time::Set(int newHours, int newMinutes, int newSeconds)
// pre: assume hours, minutes, seconds are valid.

{
  hours = newHours % 24;
  minutes = newMinutes % 60;
  seconds = newSeconds % 60;
}


void Time::DisplayTime()
{
  cout << hours << ":";
  if (minutes < 10)
    cout << '0';
  
  cout << minutes << ":" ;

  if (seconds < 10)
    cout << '0';

  cout << seconds << endl;
}


void Time::Increment()
{
  seconds++;

  if (seconds == 60)
  {
    seconds = 0;
    minutes++;
  }

  if (minutes==60)
  {
    minutes=0;
    hours++;
  }

  if (hours==24)
  {
    hours=0;
  }
}


void Time::Increment2()
{
  Increment();
  Increment();
}

void Time::Add(Time& otherTime)
{
  hours += otherTime.hours;
  minutes += otherTime.minutes;
  seconds += otherTime.seconds;
}
